<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>sourceTerm &ndash; FLUBIO </title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>sourceTerm
    <small>Derived Type</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title="<p> 0.7% of total for derived types.</p>Including implementation: 20 statements,  0.2% of total for derived types.">8 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/sourceTerms.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/sourceterms.f03.html'>sourceTerms.f03</a></li>
    
     <li><a href='../module/sourceterms.html'>sourceTerms</a></li>
    
  
     <li class="active">sourceTerm</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-0">Variables</a></h3></div>
  <div id="vars-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/sourceterm.html#variable-sourcetype">sourceType</a>
      
      <a class="list-group-item" href="../type/sourceterm.html#variable-sourcename">sourceName</a>
      
      <a class="list-group-item" href="../type/sourceterm.html#variable-ncomp%7E11">nComp</a>
      
    </div>
  </div>
</div>


















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#boundprocs-0">Type-Bound Procedures</a></h3></div>
  <div id="boundprocs-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/sourceterm.html#boundprocedure-set%7E8">set</a>
      
      <a class="list-group-item" href="../type/sourceterm.html#boundprocedure-computesource">computeSource</a>
      
    </div>
  </div>
</div>





</div>

    </div>
    
    <div class="col-md-9" id='text'>
      <h2>type, public :: sourceTerm</h2>
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Inherited by</h3>
      </div>
      <div class="panel-body">
     <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: type~~sourceterm~~InheritedByGraph Pages: 1 -->
<svg id="typesourcetermInheritedByGraph" width="267pt" height="242pt"
 viewBox="0.00 0.00 267.00 242.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="type~~sourceterm~~InheritedByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 238)">
<title>type~~sourceterm~~InheritedByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-238 263,-238 263,4 -4,4"/>
<!-- type~sourceterm -->
<g id="type~~sourceterm~~InheritedByGraph_node1" class="node">
<title>type~sourceterm</title>
<polygon fill="none" stroke="#000000" points="69,-108 0,-108 0,-84 69,-84 69,-108"/>
<text text-anchor="middle" x="34.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">sourceTerm</text>
</g>
<!-- type~poroussourceterm -->
<g id="type~~sourceterm~~InheritedByGraph_node2" class="node">
<title>type~poroussourceterm</title>
<g id="a_type~~sourceterm~~InheritedByGraph_node2"><a xlink:href=".././type/poroussourceterm.html" xlink:title="porousSourceTerm">
<polygon fill="#5cb85c" stroke="#5cb85c" points="247.5,-234 144.5,-234 144.5,-210 247.5,-210 247.5,-234"/>
<text text-anchor="middle" x="196" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">porousSourceTerm</text>
</a>
</g>
</g>
<!-- type~poroussourceterm&#45;&gt;type~sourceterm -->
<g id="type~~sourceterm~~InheritedByGraph_edge2" class="edge">
<title>type~poroussourceterm&#45;&gt;type~sourceterm</title>
<path fill="none" stroke="#000000" d="M154.7189,-209.9514C147.3518,-207.3215 139.8476,-204.3183 133,-201 117.6916,-193.5815 116.3134,-187.4082 101,-180"/>
</g>
<!-- type~constantsourceterm -->
<g id="type~~sourceterm~~InheritedByGraph_node3" class="node">
<title>type~constantsourceterm</title>
<g id="a_type~~sourceterm~~InheritedByGraph_node3"><a xlink:href=".././type/constantsourceterm.html" xlink:title="constantSourceTerm">
<polygon fill="#5cb85c" stroke="#5cb85c" points="251.5,-192 140.5,-192 140.5,-168 251.5,-168 251.5,-192"/>
<text text-anchor="middle" x="196" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">constantSourceTerm</text>
</a>
</g>
</g>
<!-- type~constantsourceterm&#45;&gt;type~sourceterm -->
<g id="type~~sourceterm~~InheritedByGraph_edge3" class="edge">
<title>type~constantsourceterm&#45;&gt;type~sourceterm</title>
<path fill="none" stroke="#000000" d="M140.373,-188.156C126.9526,-187.9541 113.026,-185.8178 101,-180"/>
</g>
<!-- type~boussinesqsourceterm -->
<g id="type~~sourceterm~~InheritedByGraph_node4" class="node">
<title>type~boussinesqsourceterm</title>
<g id="a_type~~sourceterm~~InheritedByGraph_node4"><a xlink:href=".././type/boussinesqsourceterm.html" xlink:title="boussinesqSourceTerm">
<polygon fill="#5cb85c" stroke="#5cb85c" points="258,-150 134,-150 134,-126 258,-126 258,-150"/>
<text text-anchor="middle" x="196" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">boussinesqSourceTerm</text>
</a>
</g>
</g>
<!-- type~boussinesqsourceterm&#45;&gt;type~sourceterm -->
<g id="type~~sourceterm~~InheritedByGraph_edge4" class="edge">
<title>type~boussinesqsourceterm&#45;&gt;type~sourceterm</title>
<path fill="none" stroke="#000000" d="M154.7189,-150.0486C147.3518,-152.6785 139.8476,-155.6817 133,-159 117.6916,-166.4185 116.3134,-187.4082 101,-180"/>
<path fill="none" stroke="#000000" d="M101,-180C74.2362,-167.0525 54.9686,-137.5251 44.2704,-117.1702"/>
<polygon fill="#000000" stroke="#000000" points="47.3061,-115.4149 39.7115,-108.0275 41.0417,-118.5385 47.3061,-115.4149"/>
</g>
<!-- type~sourcetermsarray -->
<g id="type~~sourceterm~~InheritedByGraph_node5" class="node">
<title>type~sourcetermsarray</title>
<g id="a_type~~sourceterm~~InheritedByGraph_node5"><a xlink:href=".././type/sourcetermsarray.html" xlink:title="sourceTermsArray">
<polygon fill="#5cb85c" stroke="#5cb85c" points="245.5,-108 146.5,-108 146.5,-84 245.5,-84 245.5,-108"/>
<text text-anchor="middle" x="196" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">sourceTermsArray</text>
</a>
</g>
</g>
<!-- type~sourcetermsarray&#45;&gt;type~sourceterm -->
<g id="type~~sourceterm~~InheritedByGraph_edge1" class="edge">
<title>type~sourcetermsarray&#45;&gt;type~sourceterm</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M146.2269,-96C124.8198,-96 99.9892,-96 79.1807,-96"/>
<polygon fill="#000000" stroke="#000000" points="79.0143,-92.5001 69.0142,-96 79.0142,-99.5001 79.0143,-92.5001"/>
<text text-anchor="middle" x="101" y="-98.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">source</text>
</g>
<!-- type~semiimplicitsourceterm -->
<g id="type~~sourceterm~~InheritedByGraph_node6" class="node">
<title>type~semiimplicitsourceterm</title>
<g id="a_type~~sourceterm~~InheritedByGraph_node6"><a xlink:href=".././type/semiimplicitsourceterm.html" xlink:title="semiImplicitSourceTerm">
<polygon fill="#5cb85c" stroke="#5cb85c" points="259,-66 133,-66 133,-42 259,-42 259,-66"/>
<text text-anchor="middle" x="196" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">semiImplicitSourceTerm</text>
</a>
</g>
</g>
<!-- type~semiimplicitsourceterm&#45;&gt;type~sourceterm -->
<g id="type~~sourceterm~~InheritedByGraph_edge5" class="edge">
<title>type~semiimplicitsourceterm&#45;&gt;type~sourceterm</title>
<path fill="none" stroke="#000000" d="M132.819,-47.1863C121.9176,-47.9117 110.9137,-49.9199 101,-54"/>
</g>
<!-- type~bouyancysourceterm -->
<g id="type~~sourceterm~~InheritedByGraph_node7" class="node">
<title>type~bouyancysourceterm</title>
<g id="a_type~~sourceterm~~InheritedByGraph_node7"><a xlink:href=".././type/bouyancysourceterm.html" xlink:title="bouyancySourceTerm">
<polygon fill="#5cb85c" stroke="#5cb85c" points="254,-24 138,-24 138,0 254,0 254,-24"/>
<text text-anchor="middle" x="196" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">bouyancySourceTerm</text>
</a>
</g>
</g>
<!-- type~bouyancysourceterm&#45;&gt;type~sourceterm -->
<g id="type~~sourceterm~~InheritedByGraph_edge6" class="edge">
<title>type~bouyancysourceterm&#45;&gt;type~sourceterm</title>
<path fill="none" stroke="#000000" d="M154.7189,-24.0486C147.3518,-26.6785 139.8476,-29.6817 133,-33 117.6916,-40.4185 116.731,-47.5257 101,-54"/>
<path fill="none" stroke="#000000" d="M101,-54C85.9616,-60.1893 70.5233,-69.7096 58.3117,-78.1222"/>
<polygon fill="#000000" stroke="#000000" points="56.1731,-75.348 50.042,-83.9886 60.2233,-81.0573 56.1731,-75.348"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="178pt" height="32pt"
 viewBox="0.00 0.00 177.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 173.5,-28 173.5,4 -4,4"/>
<!-- Type -->
<g id="node1" class="node">
<title>Type</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Type</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node2" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="169.5,-24 72.5,-24 72.5,0 169.5,0 169.5,-24"/>
<text text-anchor="middle" x="121" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a derived type to the parent type which it
    extends. Dashed arrows point from a derived type to the other
    types it contains as a components, with a label listing the name(s) of
    said component(s).
    </p>
    </div></div></div></div>
      </div>
    </div>
    
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-1">Variables</a></h3></div>
  <div id="vars-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/sourceterm.html#variable-sourcetype">sourceType</a>
      
      <a class="list-group-item" href="../type/sourceterm.html#variable-sourcename">sourceName</a>
      
      <a class="list-group-item" href="../type/sourceterm.html#variable-ncomp%7E11">nComp</a>
      
    </div>
  </div>
</div>


















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#boundprocs-1">Type-Bound Procedures</a></h3></div>
  <div id="boundprocs-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/sourceterm.html#boundprocedure-set%7E8">set</a>
      
      <a class="list-group-item" href="../type/sourceterm.html#boundprocedure-computesource">computeSource</a>
      
    </div>
  </div>
</div>





    </section>
    <br class="visible-xs visible-sm hidden-md">

    
    <section>
    <h2>Components</h2>
    
<table class="table table-striped varlist">
<thead><tr><th>Type</th><th>Visibility</th>

<th>Attributes</th><th></th><th>Name</th><th></th><th>Initial</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-sourcetype"></span>character(len=:),</td>
  
  <td>public,</td>
  <td>allocatable</td><td>::</td>
  <td><strong>sourceType</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-sourcename"></span>character(len=:),</td>
  
  <td>public,</td>
  <td>allocatable</td><td>::</td>
  <td><strong>sourceName</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ncomp%7E11"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>nComp</strong></td><td></td><td></td><td></td>
  
</tr>

</tbody>
</table>

    </section>
    <br>
    
    
    
    
    
    
     
    <section>
    <h2>Type-Bound Procedures</h2>
    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-set%7E8"></span><h3>procedure, public :: <strong>set</strong>  => <a href='../proc/setbasesource.html'>setBaseSource</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/setbasesource.html'>setBaseSource</a>(this, eqName)
    
    
   
</h3>
    
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/sourceterm.html'>sourceTerm</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>eqName</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-computesource"></span><h3>procedure, public :: <strong>computeSource</strong>  => <a href='../proc/computebasesource.html'>computeBaseSource</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/computebasesource.html'>computeBaseSource</a>(this, aC, bC)
    
    
   
</h3>
    
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/sourceterm.html'>sourceTerm</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>aC</strong>(numberOfElements,3)</td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>bC</strong>(numberOfElements,3)</td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
    </section>
    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>